#!/bin/bash

# uninstall logic for CIT UK Online Backup Manager 7.15.2.2
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/CITUKOBM.app/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for CIT UK Online Backup Manager"
    touch "/Applications/CITUKOBM.app/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
#if [ -e "/Applications/CITUKOBM/aua/bin" ]; then
#    echo "Shutdown AutoUpdateAgent for CIT UK Online Backup Manager"
#    sh "/Applications/CITUKOBM/aua/bin/shutdown.sh"
#    echo "Wait 5 seconds before AutoUpdateAgent exits"
#    sleep 5
#fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/CITUKOBM.app/bin/taskkill" "/Applications/CITUKOBM.app/jvm/bin/bJW"
sh "/Applications/CITUKOBM.app/bin/taskkill" "/Applications/CITUKOBM.app/jvm/bin/bschJW"
sh "/Applications/CITUKOBM.app/bin/taskkill" "/Applications/CITUKOBM.app/jvm/bin/java"


###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/CITUKOBM" ]; then
    echo "Remove Scheduler for CIT UK Online Backup Manager from service"
    rm -rf "/Library/StartupItems/CITUKOBM"
fi

# Remove Launch Daemons
if [ -e "/Library/LaunchDaemons/com.CITUKOBM.scheduler.plist" ]; then
    echo "Remove LaunchDaemons for com.CITUKOBM.scheduler from service"
    launchctl unload "/Library/LaunchDaemons/com.CITUKOBM.scheduler.plist"
    rm -f "/Library/LaunchDaemons/com.CITUKOBM.scheduler.plist"
fi
# Remove AutoUpdateAgent
#if [ -e "/Library/StartupItems/CITUKOBM-AutoUpdate" ]; then
#    echo "Remove AutoUpdateAgent for CIT UK Online Backup Manager from service"
#    rm -rf "/Library/StartupItems/CITUKOBM-AutoUpdate"
#fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/CITUKOBM" ]; then
        echo "Remove Desktop Link CITUKOBM from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/CITUKOBM"
        echo "Removed CITUKOBM Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/CIT UK Online Backup Manager" ]; then
        echo "Remove Desktop Link CIT UK Online Backup Manager from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/CIT UK Online Backup Manager"
        echo "Removed CIT UK Online Backup Manager Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/CITUKOBM" ]; then
        echo "Remove Desktop Link CITUKOBM from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/CITUKOBM"
        echo "Removed CITUKOBM Desktop Link"
    fi

done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove CIT UK Online Backup Manager
cd /
if [ -e "/Applications/CITUKOBM.app" ]; then
    echo "Remove CITUKOBM from Your Mac OS X"
    rm -rf "/Applications/CITUKOBM.app"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm-mac.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm-mac.pkg (Path: /Library/Receipts/obm-mac.pkg)"
    rm -rf "/Library/Receipts/obm-mac.pkg"
fi
